Name:           perl-SVK
Version:        2.0.2
Release:        3%{?dist}
Summary:        A Distributed Version Control System
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/SVK/
Source0:        http://www.cpan.org/modules/by-authors/id/C/CL/CLKAO/SVK-v%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Algorithm::Annotate)
BuildRequires:  perl(Algorithm::Diff) >= 1.19
BuildRequires:  perl(App::CLI)
BuildRequires:  perl(Compress::Zlib)
BuildRequires:  perl(Class::Accessor::Fast)
BuildRequires:  perl(Class::Autouse) >= 1.15
BuildRequires:  perl(Class::Data::Inheritable)
BuildRequires:  perl(Data::Hierarchy) >= 0.30
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Type)
BuildRequires:  perl(File::MMagic)
BuildRequires:  perl(FreezeThaw)
BuildRequires:  perl(IO::Digest)
BuildRequires:  perl(List::MoreUtils)
BuildRequires:  perl(Locale::Maketext::Lexicon)
BuildRequires:  perl(Log::Log4perl)
BuildRequires:  perl(Path::Class) >= 0.16
BuildRequires:  perl(PerlIO::eol) >= 0.13
BuildRequires:  perl(PerlIO::via::dynamic) >= 0.11
BuildRequires:  perl(PerlIO::via::symlink) >= 0.02
BuildRequires:  perl(Pod::Escapes)
BuildRequires:  perl(Pod::Simple)
BuildRequires:  perl(SVN::Mirror) >= 0.71
BuildRequires:  perl(SVN::Simple::Edit) >= 0.27
BuildRequires:  perl(Term::ReadKey)
BuildRequires:  perl(UNIVERSAL::require)
BuildRequires:  perl(URI)
BuildRequires:  perl(version) >= 0.68
BuildRequires:  perl(YAML::Syck) >= 0.60
Requires:  perl(App::CLI)
Requires:  perl(Class::Accessor::Fast)
Requires:  perl(Class::Data::Inheritable)
Requires:  perl(Pod::Escapes)
Requires:  perl(Pod::Simple)
Requires:  perl(SVN::Mirror) >= 0.71
Requires:  perl(Term::ReadKey)
Requires:  perl(URI)
Provides:  perl(SVK::Version)

Source98:  SVK-filter-requires.sh
%global real_perl_requires %{__perl_requires}
%define __perl_requires %{_tmppath}/%{name}-%{version}-%{release}-%(%{__id_u} -n)-filter-requires

%description
SVK is a decentralized version control system written in Perl. It uses
the Subversion filesystem but provides additional features:

    * Offline operations like checkin, log, merge.
    * Distributed branches.
    * Lightweight checkout copy management (no .svn directories).
    * Advanced merge algorithms, like star-merge and cherry picking.

For more information about the SVK project, visit http://svk.elixus.org/.

%prep
%setup -q -n SVK-v%{version}

sed -e 's,@@PERL_REQ@@,%{real_perl_requires},' %{SOURCE98} > %{__perl_requires}
chmod +x %{__perl_requires}

%build
%{__perl} Makefile.PL --skipdeps INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w $RPM_BUILD_ROOT/*

%check
# The tests are a bit hosed. Revisit at some point.
# make test
chmod -R u+w t

%clean
rm -rf $RPM_BUILD_ROOT %{__perl_requires}

%files
%defattr(-,root,root,-)
%doc ARTISTIC CHANGES CHANGES-1.0 COMMITTERS COPYING README
%{perl_vendorlib}/*
%{_mandir}/man1/*
%{_mandir}/man3/*
%{_bindir}/svk

%changelog
* Thu Mar  6 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 2.0.2-3
- disable tests, they're a bit hosed

* Thu Mar  6 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 2.0.2-2
- rebuild for new perl

* Thu Aug 16 2007 Ian Burrell <ianburrell@gmail.com> - 2.0.2-1
- Update to 2.0.2
- Fix BuildRequires

* Mon Jun 18 2007 Ian Burrell <ianburrell@gmail.com> - 2.0.1-2
- Add Compress::Zlib to BuildRequires

* Sun Jun 17 2007 Ian Burrell <ianburrell@gmail.com> - 2.0.1-1
- Update to 2.0.1
- Filter optional File::LibMagic

* Tue May 29 2007 Ian Burrell <ianburrell@gmail.com> - 2.0.0-1
- Update to 2.0.0

* Mon Sep 11 2006 Ian Burrell <ianburrell@gmail.com> - 1.08-5
- Rebuild for FC6

* Wed Aug  9 2006 Ian Burrell <ianburrell@gmail.com> - 1.08-4
- Add Term::ReadKey and SVN::Mirror requires

* Fri Jul  7 2006 Ian Burrell <ianburrell@gmail.com> - 1.08-2
- Remove contrib scripts
- Add filter provides to filter duplicate perl(SVK)

* Wed Jul  5 2006 Ian Burrell <ianburrell@gmail.com> - 1.08-1
- Update to 1.08
- Add build requires

* Tue Jul  4 2006 Ian Burrell <ianburrell@gmail.com> - 1.07-8
- Fix source URL

* Wed Jun 28 2006 Ian Burrell <ianburrell@gmail.com> - 1.07-7
- Cleanup duplicate requires

* Wed Jun 28 2006 Ian Burrell <ianburrell@gmail.com> - 1.07-6
- Add build requires

* Wed Jun 28 2006 Ian Burrell <ianburrell@gmail.com> - 1.07-5
- Add provides SVK::Version

* Wed Jun 28 2006 Ian Burrell <ianburrell@gmail.com> - 1.07-4
- Add option deps; remove autoinstall

* Thu Mar 30 2006 Ian Burrell <ianburrell@gmail.com> 1.07-1
- Specfile autogenerated by cpanspec 1.64.
